! Programa que lê nome e notas de N alunos e
! calcula e imprime a média de cada aluno. O valor de N é informado pelo
! usuário.
program media_de_n_alunos
	implicit none
    integer cont, N
    real N1, N2, N3, media
    character *15 nome,  situacao !duas variaveis de no máximo 15 caracteres
    
    write (*,*) "Este programa calcula a media de N alunos."
    write (*,*)
    write (*,*) "Digite o valor de N:"
    read (*,*) N
    
	do cont = 1, N, 1 !laço que le nome e notas, calcula media, define situação e imprime resultados
         write(*,*)      
         write(*,*) "Digite nome do aluno:"
         read (*,*) nome
         write(*,*) "Digite as 3 notas do aluno:"
         read (*,*) N1, N2, N3
         
         media = (N1 + N2 + N3)/3
         
         if (media >= 7) then
           situacao = "Aprovado"
         else if (media < 4) then
           situacao = "Reprovado" 
         else
           situacao = "Fazer Final"
         endif
              
         write(*,*) nome, media, situacao
    end do
    
    stop
end program media_de_n_alunos